% -- gnoise.m
function [sRXwn, noise] = gnoise(sRXwon, ExN0dB, n_pulses_tot)

Ex = (1/n_pulses_tot)*sum(sRXwon.^2);
Ex_N0 = 10.^(ExN0dB./10);
N0 = Ex ./ Ex_N0;

varn = N0/2;

noise = zeros(length(Ex_N0), length(sRXwon));
sRXwn = zeros(length(Ex_N0), length(sRXwon));

for j = 1 : length(Ex_N0)
    noise(j,:) = sqrt(varn(j)) .* randn(1,length(sRXwon));
    sRXwn(j,:) = noise(j,:) + sRXwon;
end



